Ask Your Question
0

installing module rtl8814au(network)

asked 2018-12-11 11:32:48 -0600

devrieshh gravatar image

updated 2018-12-22 05:06:52 -0600

I cant install module rtl8814au in fedora 29 on kernel-4.19.10-300.fc29.x86_64
even with this kernel modules. Installed: kernel-4.19.10-300.fc29.x86_64
kernel-core-4.19.10-300.fc29.x86_64
kernel-devel-4.19.10-300.fc29.x86_64
kernel-modules-4.19.10-300.fc29.x86_64
kernel-modules-extra-4.19.10-300.fc29.x86_64

dkms build -m rtl8814au -v master

Kernel preparation unnecessary for this kernel. Skipping...

Building module: cleaning build area... 'make'...........(bad exit status: 2) Error! Bad return status for module build on kernel: -4.19.10-300.fc29.x86_64
Consult /var/lib/dkms/rtl8814au/master/build/make.log for more information.

edit retag flag offensive close merge delete

3 Answers

Sort by » oldest newest most voted
0

answered 2018-12-28 09:43:24 -0600

devrieshh gravatar image

updated 2018-12-28 09:50:10 -0600

this is for ubuntu but it works also on fedora 4.19.10-300.fc29.x86_64 although the wifi falls out sometimes... for now better than nothing

I personally use (and recommend) the drivers from aircrack-ng. See aircrack-ng/rtl8812au (@ GitHub) I recommend to use the version 5.2.20 which introduces a very useful feature: A unique module (88XX) to "rules them all" (chipsets 8821AU, 8812au and 8814au). In order to install the drivers you need first to install the dependencies:

sudo apt install build-essential sudo apt install bc sudo apt install linux-headers-uname -r sudo apt install git Then download the repository

git clone https://github.com/aircrack-ng/rtl881... Locate your shell in the downloaded repository

cd rtl8812au

Switch to the branch 5.2.20:

git checkout v5.2.20

Finally, compile and install:

make

sudo make install

Notice that a even more recent version: Branch 5.3.4, But I had some problems to get it works with 8814au. Hopefully it will be fixed in the future (if it is not already done).

edit flag offensive delete link more
0

answered 2018-12-15 13:56:14 -0600

devrieshh gravatar image

now i used the same kernel where i compile into. in fedora 28 kernel 4.17.200.fc28.x86_64 it used to work with installing all the kernel modules,..

edit flag offensive delete link more
0

answered 2018-12-12 20:37:38 -0600

ed209 gravatar image

You had already received the suggestion for what to do next. Consult /var/lib/dkms/rtl8814au/master/build/make.log What is reported in this log?

edit flag offensive delete link more

Comments

/var/lib/dkms/rtl8814au/master/build/include/wifi.h:1019: warning: "IEEE80211_MAX_AMPDU_BUF"

/var/lib/dkms/rtl8814au/master/build/os_dep/linux/os_intfs.c:914:22: note: (near initialization for ‘rtw_netdev_ops.ndo_select_queue’) cc1: some warnings being treated as errors make[2]: * [scripts/Makefile.build:304: /var/lib/dkms/rtl8814au/master/build/os_dep/linux/os_intfs.o] Error 1 make[1]: [Makefile:1521: _module_/var/lib/dkms/rtl8814au/master/build] Error 2 make[1]: Leaving directory '/usr/src/kernels/4.19.8-300.fc29.x86_64' make: ** [Makefile:1699: modules] Error 2

devrieshh gravatar imagedevrieshh ( 2018-12-13 11:23:45 -0600 )edit

That's really easy. You use a kernel 4.19.7 while you want to compile with the wrong source version 4.19.8. Read the log and compare to what you have written in your question. You need the same kernel headers and source version 4.19.7.

ed209 gravatar imageed209 ( 2018-12-14 18:27:34 -0600 )edit

Question Tools

1 follower

Stats

Asked: 2018-12-11 11:32:48 -0600

Seen: 381 times

Last updated: Dec 28 '18